% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classifyNested.R
\name{classifyNested}
\alias{classifyNested}
\title{Given a fitted hierarchy of models (like returned by \code{fitNested}
assign the alignment to a unique model.}
\usage{
classifyNested(fitobj, mvecMat, pcut = 0.01, crit = "aic")
}
\arguments{
\item{fitobj}{The fitted hierachy of models (see \code{\link{fitNested}}).}

\item{mvecMat}{Matrix (logical) of model-vectors (used to derive fitobj).
Rows correspond to model parameters, columns enumerate the models, entries
correspond to whether a parameter is active in a model. Column names must
match the model names in \code{fitobj}.}

\item{pcut}{P-value cutoff to consider significant}

\item{crit}{character Criterion for model selection in case contenders are not nested.
Possible values are "aic" (default), "aicc" (second order aic) and "bic".}
}
\value{
Either \code{NA}, or a list with the following components:
* string  The resulting fitted model (in string representation, zero or one for each parameter (row of mvecMat))
* pval The p-value of this model with respect to the best-fitting, most complex nexted model
* like The likelihood of the fitted model
* likeNull The likelihood of the null model
* crit The criterion used to assign a model class to the alignment. One of Either
* modNested The best-fitting model nested inside the assigned model
* stringe Extended string representation: each parameter name followed by TRUE/FALSE;
\code{'unique'}, \code{'aic'} or \code{'bic'}.
}
\description{
Given a fitted hierarchy of models (like returned by \code{fitNested}
assign the alignment to a unique model.
}
