% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fitNested.R
\name{fitNested}
\alias{fitNested}
\title{Fit a nested hierarchy of models to an MSA}
\usage{
fitNested(msa, mvecMat, NULL.MOD, amat = NULL, PCUT = 0.01)
}
\arguments{
\item{msa}{Multiple sequence alignment}

\item{mvecMat}{Matrix (logical) of model-vectors, fist column must be all  FALSE.
Rows correspond to model parameters, columns enumerate the models, entries
correspond to whether a parameter is active in a model.}

\item{NULL.MOD}{The (null) tree-model (no sel, bgc on any branch)}

\item{amat}{Adajency matrix containing nested-by-one-parameter relatinshiops between models}

\item{PCUT}{P-value cutoff to use for stop traversing}
}
\value{
A list with \code{ncol(mvecMat)} elements. Each element in this list corresponds
to the respective model in mvecMat and is phylogenetic tree model as returned from the
\code{phyloFit} function in the \code{rphast} packaage. For models that were not fit, the
corresponding list element is \code{NA}. For all fitted models except the null model (the
first element in the list) the model as been augmented with the following components:
* pval The P-value with respect to the best-fitting, most-complex nested model. NA if not available.
* aic The Akaike information criterion. NA if not available.
* aicc Second order AIC, meant to account for small sample size. NA if not available.
* bic  The Bayesian infromation criterion. NA if not available.
* nestedMod The best-fitting nested model within the current model. NA if not available.
}
\description{
Fit a nested hierarchy of models to an MSA
}
